
Packaging - Bug #32557

Installing hammer-cli 2.5 on debian buster installs an older version

05/06/2021 10:04 PM - Daniel Ullrich

Status: Closed   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version: 2.5.3   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 2.5.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If you take a look in the Packages File of the debian repository it shows:

Package: ruby-hammer-cli-foreman

Version: 2.1.1-1

Architecture: all

Maintainer: Tomas Strachota <tstrachota@redhat.com>

Installed-Size: 515

Depends: ruby | ruby-interpreter, ruby-hammer-cli (>= 2.1.0), ruby-apipie-bindings (>= 0.3.0), ruby-jwt (>= 2.2.1), ruby-rest-client (>=

1.8.0), ruby-rest-client (<< 3.0.0)

Section: ruby

Priority: optional

Homepage: http://github.com/theforeman/hammer-cli-foreman

Description: Foreman commands for Hammer

Foreman commands for Hammer CLI

Ruby-Versions: all

Filename: pool/buster/2.5/r/ruby-hammer-cli-foreman/ruby-hammer-cli-foreman_2.1.1-1_all.deb

MD5sum: a62b6fa310338da67a5038bf52d67ae3

SHA1: 3d7a893248599f42e429fd617fc0c5f1c77aac6d

SHA256: 52ff1bab79f6ad4d620f5e217a9b8319a68d2d9ee7761377d9747fc03905b4ac

SHA512:

056b903f2a554eae7f0e4c7a114d20567050c596962fb20d785dd38d5965a4a8658f5fbfa4eb8a36a5d959aefade3553d5f88567d361c6

967aa95c5769b20a51

Size: 81384

Package: ruby-hammer-cli

Version: 2.2.1-1

Architecture: all

Maintainer: Tomas Strachota <tstrachota@redhat.com>

Installed-Size: 525

Depends: ruby | ruby-interpreter, ruby-clamp (>= 1.1.0), ruby-clamp (<< 1.2.0), ruby-logging, ruby-amazing-print, ruby-highline,

ruby-fast-gettext (>= 1.2.0), ruby-locale (>= 2.0.6), ruby-apipie-bindings (>= 0.2.0), ruby-unicode-display-width, ruby-unicode

Section: ruby

Priority: optional

Homepage: http://github.com/theforeman/hammer-cli

Description: Universal command-line interface

Hammer cli provides universal extendable CLI interface for ruby apps

Ruby-Versions: all

Filename: pool/buster/2.5/r/ruby-hammer-cli/ruby-hammer-cli_2.2.1-1_all.deb

MD5sum: a099a0b7cb1ceeb134dd9f1c8f6a4cd0

SHA1: d498dc7eecd8cf3da1accb6069fcfd7bd05fbe99

SHA256: f30a238b489d6bf0d4a7e9d4b7e6f3adae1e2ba6790ab2116947d268335ebb86

SHA512:

d6c5953caaf322736430532428e2fb6520f4cb7bde8f26e7af477fc6833fc080048cb03a1c115062e8279a1ee3615b938ee7edba2dc985

457938b8947e39473b

Size: 123340
so in the repo of the current version is an older package described.

History

#1 - 05/06/2021 10:05 PM - Daniel Ullrich

https://deb.theforeman.org/dists/buster/2.5/binary-amd64/Packages

#2 - 05/08/2021 12:58 PM - Oleh Fedorenko

- Project changed from Hammer CLI to Packaging

#3 - 05/08/2021 12:59 PM - Oleh Fedorenko

- Category set to Debian/Ubuntu

#4 - 08/16/2021 09:55 AM - Ewoud Kohl van Wijngaarden

- Target version set to 2.5.3

- Triaged changed from No to Yes

- Found in Releases 2.5.2 added

It looks like we've missed updating Hammer in the past few releases. In 932041b9acb660f219919bf54930fc4c7f926856 I at least updated nightly to

2.5 (and has since been updated to 3.0). We should fix this before 2.5.3 and modify the release process so we don't miss this.

#5 - 08/26/2021 11:48 AM - Amit Upadhye

- Status changed from New to Closed

Request to try running 'apt-get update' and then update hammer packages. Because I can see we have correct versions of hammer available in the

2.5 debian:

https://github.com/theforeman/foreman-packaging/commit/c0e5fbc52a047acbb1553d1e081da9ce04daef0e

Accordingly I do see correct packages in repo as well: http://deb.theforeman.org/dists/buster/2.5/binary-amd64/Packages . With this I am closing this

issue. You can reopen or raise new issue if it persist.

Package: ruby-hammer-cli-foreman

Version: 2.5.0-1

Architecture: all

Maintainer: Tomas Strachota <tstrachota@redhat.com>

Installed-Size: 531

Depends: ruby | ruby-interpreter, ruby-hammer-cli (>= 2.1.0), ruby-apipie-bindings (>= 0.3.0), ruby-jwt (>= 2.

2.1), ruby-rest-client (>= 1.8.0), ruby-rest-client (<< 3.0.0)

Section: ruby

Priority: optional

Homepage: http://github.com/theforeman/hammer-cli-foreman

Description: Foreman commands for Hammer

 Foreman commands for Hammer CLI

Ruby-Versions: all

Filename: pool/buster/2.5/r/ruby-hammer-cli-foreman/ruby-hammer-cli-foreman_2.5.0-1_all.deb

MD5sum: 7eea7697a3d391e8ab1b66d69e361a72

SHA1: b4e6f03c20a4de49c021a6a8d1bc64b59c4a30fa

SHA256: 43771af6a99afeeb65d8dddc7f1b05cbcd0927536408551b281685cf3e5de88c

SHA512: cd7d831511f4624a38f50cd1ddb30930e4ee394adbbb402dce8debe679f1e0ed3029ee3a53fecb184d8d46ccff4b6760274398

c799dcbb18be042b35c7f0d8f4

Size: 84340

Package: ruby-hammer-cli

Version: 2.5.0-1

Architecture: all

Maintainer: Tomas Strachota <tstrachota@redhat.com>

Installed-Size: 535

Depends: ruby | ruby-interpreter, ruby-clamp (>= 1.1.0), ruby-clamp (<< 1.2.0), ruby-logging, ruby-amazing-pri

nt, ruby-highline, ruby-fast-gettext (>= 1.2.0), ruby-locale (>= 2.0.6), ruby-apipie-bindings (>= 0.2.0), ruby

-unicode-display-width, ruby-unicode

Section: ruby

Priority: optional

Homepage: http://github.com/theforeman/hammer-cli

Description: Universal command-line interface

 Hammer cli provides universal extendable CLI interface for ruby apps

Ruby-Versions: all

Filename: pool/buster/2.5/r/ruby-hammer-cli/ruby-hammer-cli_2.5.0-1_all.deb
MD5sum: 26fa4a46bf69284e5e5e8c336b6a5376

SHA1: 580f5ec6eea9c3b814620d23c3780b92c0ccaac4

SHA256: 8ce9d323d0e73158e48e6b67532b09d08dd30ee235a07b5d3b3d6ea28df1c03b

SHA512: ed54155af5a6f4992893edd3c1a8217337d111abf141622dc38820fb08afcb7f513c140c615e09191825a1925e32a0dbcebca5

abb2f44cb0f8759ac0cfdcaa7e

Size: 125852
